Name:		utouch-grail
Version:	2.0.1
Release:	1%{?dist}
Summary:	Gesture Recognition And Instantiation Library

License:	GPLv3
URL:		https://launchpad.net/utouch-grail
Source0:	http://launchpad.net/utouch-grail/trunk/v2.0.1/+download/utouch-grail-2.0.1.tar.gz

#BuildRequires:	
#Requires:	

%description
This tree consists of an interface and tools for handling gesture
recognition and gesture instantiation.

When a multitouch gesture is performed on a device, the recognizer
emits one or several possible gestures. Once the context of the
gesture is known, i.e., in what window the touches land and what
gestures the clients of that window listen to, the instantiator
delivers the matching set of gestures.

The library handles tentative getures, i.e., buffering of events for
several alternative gestures until a match is confirmed.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc
%{_bindir}/grail-gesture
%{_bindir}/grail-test-mtdev
%{_libdir}/*.so.*

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Nov 26 2011 Jens Petersen <petersen@redhat.com> - 2.0.1-1
- initial packaging
